File access with [ProFTPD](http://www.proftpd.org/) over sftp and ldap authentication.

# Volumes
- `/var/lib/ftp/data`: root directory for files
- `/etc/proftpd/keys`: ssh key files

# Environment Variables
## SERVER_NAME
Name displayed to connecting users.

## STATIC_USER
A static username for authentication.

## STATIC_PASSWORD
Password for the static user.

## STATIC_UID
Uid for the static user.

## STATIC_GID
Gid for the static user.

## LDAP_URI
Full ldap uri with search qualifier. Disables ldap auth if empty.

For example: `ldap://ldap:389/??sub`

## LDAP_BASE
Base DN for ldap searches.

## LDAP_FILTER
Ldap [filter](http://www.proftpd.org/docs/directives/linked/config_ref_LDAPUsers.html) to find valid users.

`%u` is replaced with the username.

## LDAP_BIND_DN
DN to use when connecting to the ldap host.

## LDAP_BIND_PASSWORD
Password to use when connecting to the ldap host.

## LDAP_USE_TLS
- default: on

Whether to use tls when connecting to the ldap host.

## LDAP_USE_AUTH_BIND
- default: on

Whether to use auth bind with ldap.

# Ports
- 22

## Capabilities
- DAC_OVERRIDE
- NET_BIND_SERVICE
- SETGID
- SETUID
- SYS_CHROOT
